Page MenuHomePhabricator

Decommission db2051.codfw.wmnet
Closed, ResolvedPublic

Description

This task will track the decommission-hardware of server db2051.codfw.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

db2051
Steps for service owner:

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Inventory (if decom) or Planned (if spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - Label disk #3 and #10 as broken so it doesn't get re-used again
  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Marostegui triaged this task as Medium priority.Aug 20 2019, 9:19 AM
Marostegui created this task.
Marostegui moved this task from Triage to In progress on the DBA board.

Change 531133 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2051,db2056 from config

https://gerrit.wikimedia.org/r/531133

Change 531133 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2051,db2056 from config

https://gerrit.wikimedia.org/r/531133

Mentioned in SAL (#wikimedia-operations) [2019-08-20T09:35:38Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Remove db2051 and db2056 from config T230777 T230778 (duration: 00m 48s)

Marostegui updated the task description. (Show Details)Aug 20 2019, 9:39 AM

Change 531136 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission db2051,db2056

https://gerrit.wikimedia.org/r/531136

Marostegui updated the task description. (Show Details)Aug 20 2019, 9:43 AM

Change 531136 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission db2051,db2056

https://gerrit.wikimedia.org/r/531136

Mentioned in SAL (#wikimedia-operations) [2019-08-20T09:52:33Z] <marostegui> Remove db2051 and db2056 from tendril and zarcillo - T230777 T230778

Marostegui updated the task description. (Show Details)Aug 20 2019, 9:53 AM

Mentioned in SAL (#wikimedia-operations) [2019-08-20T10:51:04Z] <marostegui> Stop MySQL on db2051 and db2056 for decommission T230777 T230778

Marostegui reassigned this task from Marostegui to RobH.Aug 20 2019, 10:51 AM
Marostegui updated the task description. (Show Details)
Marostegui edited projects, added decommission-hardware, ops-codfw, DC-Ops; removed DBA.

This host is ready for DC-Ops to decommission

Papaul moved this task from Backlog to Decommission on the ops-codfw board.Oct 10 2019, 1:32 AM

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db2051.codfw.wmnet

  • db2051.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 543032 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] site.pp: Remove puppet references for db2051

https://gerrit.wikimedia.org/r/543032

Change 543033 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove production DNS entries for db2051

https://gerrit.wikimedia.org/r/543033

Change 543032 merged by Marostegui:
[operations/puppet@production] site.pp: Remove puppet references for db2051

https://gerrit.wikimedia.org/r/543032

Change 543033 merged by Marostegui:
[operations/dns@master] wmnet: Remove production DNS entries for db2051

https://gerrit.wikimedia.org/r/543033

Marostegui reassigned this task from RobH to Papaul.Oct 15 2019, 7:38 AM
Marostegui removed a project: Patch-For-Review.
Marostegui updated the task description. (Show Details)

Host ready for onsite steps + switch disablement

papaul@asw-b-codfw# show | compare 
[edit interfaces interface-range vlan-private1-b-codfw]
-    member ge-8/0/17;
[edit interfaces interface-range disabled]
     member ge-6/0/18 { ... }
+    member ge-8/0/17;
[edit interfaces]
-   ge-8/0/17 {
-       description db2051;
-   }
Papaul updated the task description. (Show Details)Oct 15 2019, 4:38 PM
RobH removed a subscriber: RobH.Oct 15 2019, 7:08 PM
Papaul updated the task description. (Show Details)Oct 16 2019, 3:37 PM
Papaul added a subscriber: RobH.

Change 543484 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for db2051,db2056 and db2068

https://gerrit.wikimedia.org/r/543484

Change 543484 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for db2051,db2056 and db2068

https://gerrit.wikimedia.org/r/543484

Papaul closed this task as Resolved.Oct 16 2019, 11:17 PM
Papaul updated the task description. (Show Details)

Complete